#                  The AnonOS Project presents:
#        ___  _              _                       
#       |  _>| |_  ___  _ _ <_>._ _ _  ___  _ _  ___ 
#       | <__| . |/ ._>| '_>| || ' ' |/ . \| | |<_> |
#       `___/|_|_|\___.|_|  |_||_|_|_|\___/`_. |<___|
#                                          <___'     
# 　　　　　　　　　　  ∧＿∧
# 　　　  ∧＿∧ 　  （´<_｀ 　）　So what do we do with it？ 
# 　　　（　´_ゝ`）　/　　 ⌒i　　
# 　　 ／　　　  ＼ / 　  |　|
# 　　/ 　　 _,,..,,,,,_|　|
# ＿_(__ﾆつ ,' 3　 `ヽｰっ .| .|＿＿＿＿
# 　　　　 l　　 ⊃　⌒_つ（u　⊃
# 　　　　　`'ｰ---‐'''''"
# NOTE: Are you an experienced anon? If you are an expert in internet security "auditing" we invite you to add the tools that you depend on here, and package a basic guide to using them.
#
# Cherimoya is a high-anonymity Live Linux Distro designed 
# to be a complete kit for Anonymous. It's goals are a high degree of anonymity, security "auditing" programs, tools for making flyers and videos, and should be easy to use. 
# Having a package with everything an anon needs to stay anonymous and conduct raids is becoming all the more important, especially in light of recent events. 
# Also, Windows and Mac are dreadfully inadequate for what we do, and may contain government backdoors.
#
# Credits to the Fedora Security team, because we used their kickstart to get all our security auditing packages.
#
#-------------------------------------------------------------------------
#				Developers:
#-------------------------------------------------------------------------
# Sephiroth - Made this kickstart. I have no knowledge of 
# programming or scripting, or security auditing of any kind,
# so you're going to have to help me here.
#
# Image size increase: (remember to have enough size!)
part / --size 20000 --fstype ext4
#-------------------------------------------------------------------------
#                            Included scripts
#-------------------------------------------------------------------------
# Base script dependency, as it has tools for anonymity
# Edit it here: http://typewith.me/kickstart
%include base.ks

# Security auditing packages (Nessus, nmap, aircrack) are included, but placed outside this kickstart for greater clarity.
# Click on the link to see what we've added: http://typewith.me/security
%include security.ks

#-------------------------------------------------------------------------
#				Yum Repos
#-------------------------------------------------------------------------
# Need to find one for SRWare Iron. I know there's a yum somewhere...
#-------------------------------------------------------------------------
#                   Packages. Remember to add it's yum repo.
#-------------------------------------------------------------------------
%packages
# Collections
@fonts
@graphical-internet
@sound-and-video
@gnome-desktop
# Get animated wallpaper added pending comps change
laughlin-backgrounds-animated-gnome
@office

# Apache
httpd

# SRWare Iron
#iron				# This is for SRWare Iron. It is Google 				#-Chrome, but without the tracking.
# For SRWare Iron to work, this command must be run as root:
# 	ln -s libbz2.so.1.0.6 libbz2.so.1.0
# We need to script that in.

#------------------------#
#	Programming      #
#------------------------#
#  *Libraries
@perl
java-1.6.0-openjdk
java-1.6.0-openjdk-devel
java-1.6.0-openjdk-plugin

#  *IDEs
geany
python-tools			# Includes IDLE and other helpful stuff.

#  *Compilers
gcc
make
#gcj

#  *Version Control
git

#-------------------------------------------------------------------------
#			Image and video creators
#-------------------------------------------------------------------------
gimp					# General image editor.
inkscape				# SVG image editor.
audacity 				# Sound editor.
pitivi					# Simple video editor.
asciio					# Awesome ascii art creator.

#-------------------------------------------------------------------------
#                             Offensive suite
#-------------------------------------------------------------------------
# NOTE: Most of the stuff that might be useful for internet security auditing is included with the Fedora Security kickstart. (security.ks) Here, you can add some more.

gocr					# GOCR breaks captchas.


# FIXME; apparently the glibc maintainers dislike this, but it got put into the desktop image at some point.  We won't touch this one for now.
nss-mdns

#-------------------------------------------------------------------------
#                             Packages to Remove
#-------------------------------------------------------------------------
smartmontools		# This one needs to be kicked out of @base

# VLC or GXine is already included in Base.
-rhythmbox
-totem
-totem-mozplugin
-totem-nautilus
-gimp-help		# No one really reads this, anyway.

%end
#-------------------------------------------------------------------------
#                       Scripts to run after install
#-------------------------------------------------------------------------
#%post --nochroot
#
## Copies "wallpaper.jpg" from $INSTALL_ROOT to "$INSTALL_ROOT/usr/share/extrastuff". (untested, so commented out for now...)
#mkdir $INSTALL_ROOT/usr/share/extrastuff
#cp $INSTALL_ROOT/wallpaper.jpg $INSTALL_ROOT/usr/share/extrastuff/
#cp /root/Desktop/mount.sh $INSTALL_ROOT/usr/share/extrastuff/
#
#%end

%post

cat >> /etc/rc.d/init.d/livesys << EOF
# disable screensaver locking
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults -s -t bool /apps/gnome-screensaver/lock_enabled false >/dev/null
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults -s -t bool /desktop/gnome/lockdown/disable_lock_screen true >/dev/null

# set up timed auto-login for after 60 seconds
cat >> /etc/gdm/custom.conf << FOE
[daemon]
TimedLoginEnable=true
TimedLogin=liveuser
TimedLoginDelay=60
FOE

# Show harddisk install on the desktop
sed -i -e 's/NoDisplay=true/NoDisplay=false/' /usr/share/applications/liveinst.desktop
mkdir /home/liveuser/Desktop
cp /usr/share/applications/liveinst.desktop /home/liveuser/Desktop
chown -R liveuser.liveuser /home/liveuser/Desktop
chmod a+x /home/liveuser/Desktop/liveinst.desktop

# But not trash and home
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults -s -t bool /apps/nautilus/desktop/trash_icon_visible false >/dev/null
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults -s -t bool /apps/nautilus/desktop/home_icon_visible false >/dev/null

# Turn off PackageKit-command-not-found while uninstalled
sed -i -e 's/^SoftwareSourceSearch=true/SoftwareSourceSearch=false/' /etc/PackageKit/CommandNotFound.conf

# Use the animated laughlin background by default (remove soon)
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults -t str -s /desktop/gnome/background/picture_filename /usr/share/backgrounds/laughlin/default-tod/laughlin.xml

# Sets wallpaper from above (commented out, uncomment to test)
#gconftool-2 --type string --set /desktop/gnome/background/picture_filename /usr/share/backgrounds/1280-wide.png > /dev/null

EOF

%end


